Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

agentId
string<uuid>
required

Unique identifier of the agent

runId
string<uuid>
required

Unique identifier of the asynchronous run to check status for

Query Parameters

offset
integer

Messages to skip, counting from the oldest (default 0)

Required range: x >= 0
limit
integer

Most messages to return (default 20)

Required range: 1 <= x <= 100

Response

Successful response

A page of an agent run conversation

totalCount
integer
required

Messages in the run so far

messages
object[]
required

A message, reply, or tool call in an agent run